> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Donor Credit Card Information

> Allows a donor to update their credit card information.



## OpenAPI

````yaml get /frontend/donor/dashboard/card/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/card/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend Donor
      summary: Donor Credit Card Information
      description: Allows a donor to update their credit card information.
      operationId: b3def392b12ae95b384367fa05b6cdab
      parameters:
        - name: client_id
          in: path
          description: Client ID associated with the donor
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID associated with the donor
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for the donor
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Credit card update information retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    $ref: '#/components/schemas/UpdateCardResponse'
                type: object
        '400':
          description: Invalid session or not logged in
          content:
            application/json:
              schema:
                properties:
                  redirect:
                    type: string
                  status:
                    type: string
                    example: error
                type: object
      security:
        - sessionIdAuth: []
components:
  schemas:
    UpdateCardResponse:
      properties:
        client_id:
          type: integer
        program_id:
          type: integer
        session_id:
          type: string
        months:
          type: array
          items:
            type: string
        years:
          type: array
          items:
            type: integer
        disable_program_link:
          type: string
        credit_card:
          type: string
        sponsorships:
          type: array
          items:
            type: object
        commitments:
          type: array
          items:
            type: object
      type: object
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````